Package com.pixelmed.database

# Class DeleteFromDatabase

java.lang.Object
com.pixelmed.database.DeleteFromDatabase

public class DeleteFromDatabase extends Object

This class provides methods for removing entries from a database, all its children and any associated files that were copied into the database (rather than referenced).

## Constructor Summary

Constructors
Constructor
Description
`DeleteFromDatabase()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`deleteRecordChildrenAndFilesByLocalPrimaryKey(DatabaseInformationModel d, InformationEntity ie, String localPrimaryKeyValue)`
Remove the database entry, all its children and any copied files.
`static void`
`deleteRecordChildrenAndFilesByUniqueKey(DatabaseInformationModel d, InformationEntity ie, String keyValue)`
Remove the database entry, all its children and any copied files.
`static void`
`deleteRecordChildrenAndFilesByUniqueKey(DatabaseInformationModel d, String ieName, String keyValue)`
`static void`
`main(String[] arg)`
Remove the database entry, all its children and any copied files.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeleteFromDatabase

public DeleteFromDatabase()

## Method Details

### deleteRecordChildrenAndFilesByUniqueKey

public static void deleteRecordChildrenAndFilesByUniqueKey(DatabaseInformationModel d, String ieName, String keyValue) throws DicomException

Throws:
  `DicomException`

### deleteRecordChildrenAndFilesByUniqueKey

public static void deleteRecordChildrenAndFilesByUniqueKey(DatabaseInformationModel d, InformationEntity ie, String keyValue) throws DicomException

Remove the database entry, all its children and any copied files.

Parameters:
  `d` -
  `ie` -
  `keyValue` - for the PATIENT level, the unique key is the PatientID, otherwise it is the InstanceUID of the entity
Throws:
  `DicomException`

### deleteRecordChildrenAndFilesByLocalPrimaryKey

public static void deleteRecordChildrenAndFilesByLocalPrimaryKey(DatabaseInformationModel d, InformationEntity ie, String localPrimaryKeyValue) throws DicomException

Remove the database entry, all its children and any copied files.

Parameters:
  `d` -
  `ie` -
  `localPrimaryKeyValue` -
Throws:
  `DicomException` - if the databaseInformationModel or ie are invalid

### main

public static void main(String[] arg)

Remove the database entry, all its children and any copied files.

For the PATIENT level, the unique key is the PatientID, otherwise it is the InstanceUID of the entity.

Parameters:
  `arg` - four arguments, the class name of the model, the (full) path of the database file prefix, the level of the entity to remove and the unique key of the entity